- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ig_unit_information – Get unit information from an Ingate SBC

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Get unit information from an Ingate SBC.

## Requirements

The below requirements are needed on the host that executes this module.

- ingatesdk >= 1.0.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
client - |  | A dict object containing connection details.
| address string / required |  | The hostname or IP address to the unit.
| password string / required |  | The password for the REST API user.
| port integer |  | Which HTTP(S) port to connect to.
| scheme string / required | Choices: http https | Which HTTP protocol to use.
| timeout integer |  | The timeout (in seconds) for REST API requests.
| username string / required |  | The username of the REST API user.
| validate_certs boolean | Choices: no yes ← | Verify the unit's HTTPS certificate. aliases: verify_ssl
| version string | Choices: v1 ← | REST API version.

## Notes

Note

- This module requires that the Ingate Python SDK is installed on the host. To install the SDK use the pip command from your shell `pip install ingatesdk`.

## Examples

    - name: Get unit information
      ig_unit_information:
        client:
          version: v1
          scheme: http
          address: 192.168.1.1
          username: alice
          password: foobar

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
unit-information complex | success | Information about the unit
| installid string | success | The installation identifier Sample: any
| interfaces string | success | List of interface names Sample: eth0 eth1 eth2 eth3 eth4 eth5
| lang string | success | The unit's language Sample: en
| lic_email string | success | License email information Sample: example@example.com
| lic_mac string | success | License MAC information Sample: any
| lic_name string | success | License name information Sample: Example Inc
| macaddr string | success | The MAC address of the first interface Sample: 52:54:00:4c:e2:07
| mode string | success | Operational mode of the unit Sample: Siparator
| modules string | success | Installed module licenses Sample: failover vpn sip qturn ems qos rsc voipsm
| patches list | success | Installed patches on the unit
| product string | success | The product name Sample: Software SIParator/Firewall
| serial string | success | The serial number of the unit Sample: IG-200-839-2008-0
| systemid string | success | The system identifier of the unit Sample: IG-200-839-2008-0
| unitname string | success | The name of the unit Sample: Testname
| version string | success | Firmware version Sample: 6.2.0-beta2

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Ingate Systems AB (@ingatesystems)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.